@import "src/styles/scss/partials/mixins";
@import "src/styles/scss/partials/variables";

.root {
    padding: 0 !important;
    overflow: hidden;
    cursor: pointer;
    border: 1px solid var(--gray-300) !important;
    transition: box-shadow 0.3s ease-in-out 0s;

    &:hover {
        box-shadow: 0 0 7px var(--gray-400);
    }

    &__date {
        width: 100%;
        padding: var(--spacing-large);
        margin: var(--spacing-large) 0 0;
        color: var(--gray-700);
    }

    &__image {
        width: 100%;
        overflow: hidden;
        display: flex;
        align-items: center;
        justify-content: center;
        aspect-ratio: 2/1.2;
        min-height: 170px;
        border-bottom: 1px solid var(--gray-200);

        img {
            min-height: 100%;
            min-width: 100%;
            max-width: 100%;
            max-height: 100%;
        }
    }

    &__source {
        text-transform: uppercase;
        margin: 0;
        width: 100%;
    }

    &__title {
        height: 100%;
        width: 100%;
        display: -webkit-box;
        white-space: normal;
        overflow: hidden;
        max-height: calc(var(--line-height-subtitle1) * 2);
        text-overflow: ellipsis;
        position: relative;
        -webkit-line-clamp: 2;
        -webkit-box-orient: vertical;
        padding: 0 var(--spacing-large);
        margin: var(--spacing-large) 0;
    }

    &__infoRow {
        display: flex;
        align-items: center;
        justify-content: space-between;
        width: 100%;
        gap: var(--spacing-x-large);
        padding: 0 var(--spacing-large);
        margin: var(--spacing-large) 0 var(--spacing-x-large);

        p {
            text-transform: uppercase;
            margin: 0;
            color: var(--gray-700);
        }
    }
}

@include down($screen_sm_end) {
    .root {
        &__image {
            min-height: 130px;
        }
    }
}
